DTEDFrameUtil (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.dted
Class DTEDFrameUtil

    java.lang.Object
      com.bbn.openmap.dataAccess.dted.DTEDFrameUtil

    public class DTEDFrameUtil

extends java.lang.Object

This class does the conversions that are required for converting latitudes and longitudes into filenames, and from string values of latitudes and longitudes from within a DTED file to float values.

Constructor Summary
`DTEDFrameUtil()`

Method Summary
`static java.lang.String` | `latToFileString(float lat, int level)` Conversion of a float latitude value and DTED level to a DTED filename.
`static java.lang.String` | `lonToFileString(float lon)` Conversion of a float longitude value to a DTED parent directory of frame files.
`static float` | `stringToLat(java.lang.String text_lat)` Conversion of string found in DTED file to float value.
`static float` | `stringToLon(java.lang.String text_lon)` Conversion of a string value of a longitude to a float.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTEDFrameUtil

    public DTEDFrameUtil()

Method Detail

### stringToLat

    public static float stringToLat(java.lang.String text_lat)

  Conversion of string found in DTED file to float value.

  Parameters:
    `text_lat` - the String representation of the latitude, from the file.
  Returns:
    the latitude in decimal degrees.

### stringToLon

    public static float stringToLon(java.lang.String text_lon)

  Conversion of a string value of a longitude to a float.

  Parameters:
    `text_lon` - the longitude String representation, out of a DTED file.
  Returns:
    the longitude in decimal degrees.

### latToFileString

    public static java.lang.String latToFileString(float lat,
                                                   int level)

  Conversion of a float latitude value and DTED level to a DTED filename. DTED filenames are based on these two factors -<n/s> <value>.dt{0,1} DTED Level 0 files are named .dt0. Level 1 and higher are named .dt1, rather than .dt{level}

  Parameters:
    `lat` - latitude in decimal degrees.
    `level` - the DTED level.
  Returns:
    part of the DTED directory path that longitude contributes to.

### lonToFileString

    public static java.lang.String lonToFileString(float lon)

  Conversion of a float longitude value to a DTED parent directory of frame files. DTED parent directories are based on latitude -<w/e><value>.

  Parameters:
    `lon` - longitude in decimal degrees.
  Returns:
    part of the DTED directory path that longitude contributes to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details